From 7465cbae5040d2c4635ec721d553ec795e2b4cf3 Mon Sep 17 00:00:00 2001
From: Mans Rullgard <mans@mansr.com>
Date: Mon, 14 Feb 2011 22:02:00 +0000
Subject: [PATCH] omap3: beagle: timings for Micron MT46H128M32L2KQ-5

---
 arch/arm/mach-omap2/board-omap3beagle.c            |    6 ++--
 .../mach-omap2/sdram-micron-mt46h128m32l2kq-5.h    |   34 ++++++++++++++++++++
 2 files changed, 37 insertions(+), 3 deletions(-)
 create mode 100644 arch/arm/mach-omap2/sdram-micron-mt46h128m32l2kq-5.h

diff --git a/arch/arm/mach-omap2/board-omap3beagle.c b/arch/arm/mach-omap2/board-omap3beagle.c
index dd6e31f..8342734 100644
--- a/arch/arm/mach-omap2/board-omap3beagle.c
+++ b/arch/arm/mach-omap2/board-omap3beagle.c
@@ -431,7 +431,7 @@ static void __init beagle_display_init(void)
 	gpio_direction_output(beagle_dvi_device.reset_gpio, 0);
 }
 
-#include "sdram-micron-mt46h32m32lf-6.h"
+#include "sdram-micron-mt46h128m32l2kq-5.h"
 
 static struct omap2_hsmmc_info mmc[] = {
 	{
@@ -803,8 +803,8 @@ static struct platform_device keys_gpio = {
 static void __init omap3_beagle_init_early(void)
 {
 	omap2_init_common_infrastructure();
-	omap2_init_common_devices(mt46h32m32lf6_sdrc_params,
-				  mt46h32m32lf6_sdrc_params);
+	omap2_init_common_devices(mt46h128m32l2kq5_sdrc_params,
+				  mt46h128m32l2kq5_sdrc_params);
 }
 
 static void __init omap3_beagle_init_irq(void)
diff --git a/arch/arm/mach-omap2/sdram-micron-mt46h128m32l2kq-5.h b/arch/arm/mach-omap2/sdram-micron-mt46h128m32l2kq-5.h
new file mode 100644
index 0000000..c75b83d
--- /dev/null
+++ b/arch/arm/mach-omap2/sdram-micron-mt46h128m32l2kq-5.h
@@ -0,0 +1,34 @@
+/*
+ * SDRC register values for the Micron MT46H32M32LF-6
+ *
+ * Copyright (C) 2008 Texas Instruments, Inc.
+ * Copyright (C) 2008-2009 Nokia Corporation
+ *
+ * Paul Walmsley
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License version 2 as
+ * published by the Free Software Foundation.
+ */
+
+#ifndef ARCH_ARM_MACH_OMAP2_SDRAM_MICRON_MT46H128M32L2KQ
+#define ARCH_ARM_MACH_OMAP2_SDRAM_MICRON_MT46H128M32L2KQ
+
+#include <plat/sdrc.h>
+
+/* Micron MT46H128M32L2KQ-5 */
+/* XXX Using ARE = 0x1 (no autorefresh burst) -- can this be changed? */
+static struct omap_sdrc_params mt46h128m32l2kq5_sdrc_params[] = {
+	[0] = {
+		.rate	     = 200000000,
+		.actim_ctrla = 0x7ae1b4c6,
+		.actim_ctrlb = 0x00021217,
+		.rfr_ctrl    = 0x0005e601,
+		.mr	     = 0x00000032,
+	},
+	[4] = {
+		.rate	     = 0
+	},
+};
+
+#endif
-- 
1.7.6

